Results 1 to 5 of 5
Discuss 3GS with 3.0.1 Now what? at the PwnageTool - Hackint0sh.org; I have a 3GS with 3.0.1 on AT&T network. I would like to use the ...
  1. #1
    Newbie Array

    Join Date
    Aug 2008
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default 3GS with 3.0.1 Now what?

    I have a 3GS with 3.0.1 on AT&T network. I would like to use the latest firmware and I need to unlock for foreign travel. Here are my questions:

    1. Should I use Pwnage Tool or Blacksn0w?

    2. Do I still need to do anything with my iBEC and iBSS? (I haven't done anything with them yet.)

    3. Can I do the tethering hack or will I be charged by AT&T?

    4. If I unlock with either of these tools, is it reversible and undetectable if I need to bring it in for service?

    Thanks in advance for any sage advice!



  2. #2
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by Jugurtha View Post
    I have a 3GS with 3.0.1 on AT&T network. I would like to use the latest firmware and I need to unlock for foreign travel. Here are my questions:

    1. Should I use Pwnage Tool or Blacksn0w?

    2. Do I still need to do anything with my iBEC and iBSS? (I haven't done anything with them yet.)

    3. Can I do the tethering hack or will I be charged by AT&T?

    4. If I unlock with either of these tools, is it reversible and undetectable if I need to bring it in for service?
    1. I would recommend you try pwnagetool/ultrasn0w first. That way you have blackra1n/blacksn0w to fall back if you have problems. If you go blacksn0w first and you have problems, there is no way to downgrade baseband use ultrasn0w instead. Ultrasn0w has been out for months and is confirmed to work with many netorks worldwide. Do you have a mac?
    2. There are no tools that can use iBEC and iBSS to downgrade yet. What was discovered later was that you need another 18 signatures to do a simple downgrade. This is implemented in Cydia as make my life easier and in the standalone tool Firmware Umbrella. Both save your ECID SHSH for a specific iPhone OS. As long as you have this ECID SHSH you can downgrade your iPhone back to that OS version again.
    3. Yes you can hack tethering on. No crackdowns by AT&T yet but they will likely try once they offer it officially.
    4. Jailbreak and unlock are reversible. Upgrading to 3.1.x and the new baseband is not reversible.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  3. #3
    Newbie Array

    Join Date
    Aug 2008
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Thanks Olethros for clarifying. I do have a Mac. So if I use Pwnage tool and Ultrasn0w to Jailbreak, Unlock and move to 3.1.2 firmware, can I ever go back to 3.0.1? Or do I need to Jailbreak 3.0.1 and get the ECID SHSH and then upgrade to 3.1.2 with Pwnage tool?

  4. #4
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by Jugurtha View Post
    Can I ever go back to 3.0.1? Or do I need to Jailbreak 3.0.1 and get the ECID SHSH?
    The ECID SHSH comes from Apple and is unique for your iPhone. Apple stopped issuing a SHSH for 3.0 and 3.0.1 when they released 3.1. They will almost certainly do the same thing when they release 32.

    You never got a full SHSH for 3.0 and 3.0.1, so if you ever click "Erase All Content and Settings" or if your iPhone crashes and refuses to boot you have no choice but to restore to 3.1 or 3.1.2. You should capture your 3.1 or 3.1.2 ECID SHSH for security against future OS updates which break your ability to jailbreak.

    With PwnageTool 3.1.4 and only on a Mac, you can jailbreak your 3GS directly to a custom 3.1.2 make sure iTunes and iTunes helper are not running (using activity monitor) and when pwnagetool asks you if your iPhone has been pwned before say no.

    In general follow this guide to jailbreak with pwnagetool

    Then when you are travelling you can install ultrasn0w from Cydia to unlock.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  5. #5
    Senior Professional Array

    Join Date
    Oct 2007
    Posts
    261
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    21

    Default

    i also have very similar questions to these... i still think catching up on learning all of this stuff is confusing. Is there a wiki for these topics?


 

 

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 07:30 AM.
twitter, follow us!